package com.ibiz.core.module2.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.module2.domain.Healthcheck;
import com.ibiz.core.module2.filter.HealthcheckSearchContext;

/**
 * 实体[Healthcheck] 服务对象接口
 */

public interface IHealthcheckService{
     Healthcheck getDraft(Healthcheck healthcheck) ;
     boolean remove(String healthcheckid) ;
     boolean checkKey(Healthcheck healthcheck) ;
     boolean update(Healthcheck healthcheck) ;
     boolean create(Healthcheck healthcheck) ;
     Healthcheck test(Healthcheck healthcheck) ;
     Healthcheck get(String healthcheckid) ;
     Healthcheck get(Healthcheck healthcheck) ;
     boolean save(Healthcheck healthcheck) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<Healthcheck> searchDefault(HealthcheckSearchContext context) ;

}
